# Generated from spree_granify-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name spree_granify

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Integration your Spree Commerce app with Granify
License: MIT
URL: http://jetruby.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(factory_bot_rails) >= 4.10.0
# BuildRequires: rubygem(factory_bot_rails) < 4.11
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(capybara) >= 2.1
# BuildRequires: rubygem(capybara) < 3
# BuildRequires: rubygem(coffee-rails)
# BuildRequires: rubygem(ffaker) >= 2.2
# BuildRequires: rubygem(ffaker) < 3
# BuildRequires: rubygem(rspec-rails) >= 3.7.1
# BuildRequires: rubygem(rspec-rails) < 3.8
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(sass-rails)
BuildArch: noarch

%description
Integration your e-commerce app with Granify (Automatic Revenue Optimization
Platform for Ecommerce). Can be used not only with Spree Commerce based apps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/rails.rb
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/script
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/spree_granify.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.0-1
- Initial package
